# GimpUi.Preview.invalidate

    @accepts(GimpUi.Preview)
    @returns(none)
    def invalidate(self):
        # Python wrapper for gimp_preview_invalidate()

This function starts or renews a short low-priority timeout. When the timeout expires, the GimpPreview::invalidated signal is emitted which will usually cause the self to be updated.

This function does nothing unless the "Preview" button is checked.

During the emission of the signal a busy cursor is set on the toplevel window containing the self and on the preview area itself.

Since 2.2

self

  a GimpUi.Preview widget